summaryrefslogtreecommitdiffstats
path: root/test/integration/targets/debug/runme.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/targets/debug/runme.sh')
-rwxr-xr-xtest/integration/targets/debug/runme.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/test/integration/targets/debug/runme.sh b/test/integration/targets/debug/runme.sh
new file mode 100755
index 0000000..5faeb78
--- /dev/null
+++ b/test/integration/targets/debug/runme.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+set -eux
+
+trap 'rm -f out' EXIT
+
+ansible-playbook main.yml -i ../../inventory | tee out
+for i in 1 2 3; do
+ grep "ok: \[localhost\] => (item=$i)" out
+ grep "\"item\": $i" out
+done
+
+ansible-playbook main_fqcn.yml -i ../../inventory | tee out
+for i in 1 2 3; do
+ grep "ok: \[localhost\] => (item=$i)" out
+ grep "\"item\": $i" out
+done
+
+# ensure debug does not set top level vars when looking at ansible_facts
+ansible-playbook nosetfacts.yml "$@"